optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.InputStage.RasterScan Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.RasterScan:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
def | __init__ (self, int or None channel=0, board=None)
def | SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False)
def | set_register_id (self, int register_id, value, type=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_id (self, int register_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| unit
| run
| number_of_lines
| slow_axis_range
| fast_axis_range
| orientation
| frequency
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | _get_register_list (self)
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Input Channel Systems - Raster Scan
    System ID: 0x70 through 0x77

    +------------------+------+-------------+---------+--------------+---------+--------------------------------+
    | Register Name    | Id   | Type        | Unit    | Range        | Default | Comment                        |
    +==================+======+=============+=========+==============+=========+================================+
    | run              | 0x01 | uint 32-bit | bool    | True / False | 0       |                                |
    +------------------+------+-------------+---------+--------------+---------+--------------------------------+
    |number_of_lines   | 0x02 | uint 32-bit | None    |              |         |                                |
    +------------------+------+-------------+---------+--------------+---------+--------------------------------+
    |slow_axis_range   | 0x03 | float 32-bit| Degrees |              |         |                                |
    +------------------+------+-------------+---------+--------------+---------+--------------------------------+
    |fast_axis_range   | 0x04 | float 32-bit| Degrees |              |         |                                |
    +------------------+------+-------------+---------+--------------+---------+--------------------------------+
    |orientation       | 0x05 | uint 32-bit | None    | [0, 1]       | 0       | 0 – horizontal, 1 – vertical   |
    +------------------+------+-------------+---------+--------------+---------+--------------------------------+
    |frequency         | 0x06 | float 32-bit| Hz      |              |         |                                |
    +------------------+------+-------------+---------+--------------+---------+--------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.InputStage.RasterScan.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

Reimplemented from optoKummenberg.registers.ClassAbstracts.InputStage.

## Member Function Documentation

## ◆ help()

def optoKummenberg.registers.InputStage.RasterScan.help | ( |  | ) |
| static

## Member Data Documentation

## ◆ fast_axis_range

optoKummenberg.registers.InputStage.RasterScan.fast_axis_range

## ◆ frequency

optoKummenberg.registers.InputStage.RasterScan.frequency

## ◆ name

optoKummenberg.registers.InputStage.RasterScan.name

## ◆ number_of_lines

optoKummenberg.registers.InputStage.RasterScan.number_of_lines

## ◆ orientation

optoKummenberg.registers.InputStage.RasterScan.orientation

## ◆ run

optoKummenberg.registers.InputStage.RasterScan.run

## ◆ slow_axis_range

optoKummenberg.registers.InputStage.RasterScan.slow_axis_range

## ◆ sys_id

optoKummenberg.registers.InputStage.RasterScan.sys_id

## ◆ unit

optoKummenberg.registers.InputStage.RasterScan.unit

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py